//
//  ASIParseMarkup.h
//  Marker For IOS
//
//  Created by Alex Jurgensen on 2012-12-18.
//  Copyright (c) 2012 ASInnovations. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "NSObject+ASIObject.h"
#import "UIButton+ASIButton.h"
#import "UILabel+ASILabel.h"
#import "UIView+ASIView.h"

@interface ASIParseMarkup : NSObject

-( void )parseMarkupFromFile:( NSString* )file withOwner:( id )owner;
-( void )parseObjectForMarkup:( NSArray* )object withParent:( id )parent andOwner:( id ) owner;
-( id )getObjectOfClass:( NSString* )class withOptions:( NSDictionary* )options;
-( NSString* )getDeviceSpecificMarkupFile:( NSString* )fileName;
-( void )makeConnectionForObject:( id )object toOutletWithId:( NSString* )outletId andOwner:( id )owner;

@end
