//
//  UIButton+ASIButton.m
//  Marker For IOS
//
//  Created by Alex Jurgensen on 2012-12-18.
//  Copyright (c) 2012 ASInnovations. All rights reserved.
//

#import "UIButton+ASIButton.h"

@implementation UIButton (ASIButton)

-( id )initWithMarkup:( NSDictionary* )markup
{
    id button = [super initWithMarkup:markup];

    if ( [markup objectForKey:@"title"])
    {
        [button setTitle:[markup objectForKey:@"title"] forState:UIControlStateNormal];
    }
    
    return button;
}

@end
