//
//  UIControl+ASIControl.m
//  Marker For IOS
//
//  Created by Alex Jurgensen on 2012-12-23.
//  Copyright (c) 2012 ASInnovations. All rights reserved.
//

#import "UIControl+ASIControl.h"

@implementation UIControl (ASIControl)

-( id )initWithMarkup:( NSDictionary* )markup
{
    id control = [super initWithMarkup:markup];
    
    if ( [markup objectForKey:@"enabled"] )
    {
        [control setEnabled:NO];
    }
    
    return control;
}

@end
