//
//  UIView+ASIView.m
//  Marker For IOS
//
//  Created by Alex Jurgensen on 2012-12-18.
//  Copyright (c) 2012 ASInnovations. All rights reserved.
//

#import "UIView+ASIView.h"

@implementation UIView (ASIView)

-( id )initWithMarkup:( NSDictionary* )markup
{
    id view = [self initWithFrame:CGRectMake( [[markup objectForKey:@"top"] floatValue], [[markup objectForKey:@"left"] floatValue], [[markup objectForKey:@"width"] floatValue], [[markup objectForKey:@"height"] floatValue] )];
    
    
        if ( [[markup objectForKey:@"backgroundColor"] isEqualToString:@"red"] )
        {
            [view setBackgroundColor:[UIColor redColor]];
        }
    
    else if ( [[markup objectForKey:@"backgroundColor"] isEqualToString:@"orange"] )
    {
        [view setBackgroundColor:[UIColor orangeColor]];
    }
    else if ( [[markup objectForKey:@"backgroundColor"] isEqualToString:@"yellow"] )
    {
        [view setBackgroundColor:[UIColor yellowColor]];
    }
    else if ( [[markup objectForKey:@"backgroundColor"] isEqualToString:@"white"] )
    {
        [view setBackgroundColor:[UIColor whiteColor]];
    }
    
    else if ( [[markup objectForKey:@"backgroundColor"] isEqualToString:@"purple"] )
    {
        [view setBackgroundColor:[UIColor purpleColor]];
    }

        else {
            [view setBackgroundColor:[UIColor greenColor]];
        }
    
    
    return view;
}
@end
